import { Center, SegmentedControl } from '@mantine/core'
import { getMode, Mode, setMode } from '../../store/map'
import { IconEdit, IconEye, IconPrinter } from '@tabler/icons-react'

const MapMode = ({
    map_id
}: { map_id: string }) => {
    return (
        <SegmentedControl value={getMode(map_id)} onChange={(value) => setMode(map_id, value as Mode)} color="blue" w='auto' data={[
            {
                value: 'view',
                label: (
                    <Center style={{ gap: 10 }}>
                        <IconEye size={16} />
                        <span>Просмотр</span>
                    </Center>
                ),
            },
            {
                value: 'edit',
                label: (
                    <Center style={{ gap: 10 }}>
                        <IconEdit size={16} />
                        <span>Редактирование</span>
                    </Center>
                ),
            },
            {
                value: 'print',
                label: (
                    <Center style={{ gap: 10 }}>
                        <IconPrinter size={16} />
                        <span>Печать</span>
                    </Center>
                ),
            },
        ]} />
    )
}

export default MapMode