import { Divider, Flex, rem, Text } from '@mantine/core'
import { CSSProperties } from 'react'
import { useMapStore } from '../../../store/map';

interface IMapStatusbarProps {
    mapControlsStyle: CSSProperties;
    map_id: string;
}

const MapStatusbar = ({
    mapControlsStyle,
    map_id
}: IMapStatusbarProps) => {
    const { currentCoordinate, currentX, currentY, currentZ, statusText } = useMapStore().id[map_id]

    return (
        <Flex gap='sm' p={'4px'} w={'100%'} fz={'xs'} style={{ ...mapControlsStyle, borderRadius: 0 }}>
            <Text fz='xs' w={rem(130)}>
                x: {currentCoordinate?.[0]}
            </Text>

            <Text fz='xs' w={rem(130)}>
                y: {currentCoordinate?.[1]}
            </Text>

            <Divider orientation='vertical' />

            <Text fz='xs'>
                Z={currentZ}
            </Text>

            <Text fz='xs'>
                X={currentX}
            </Text>

            <Text fz='xs'>
                Y={currentY}
            </Text>

            <Text fz='xs' ml='auto'>
                {statusText}
            </Text>
        </Flex>
    )
}

export default MapStatusbar